Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LifecyclePolicyEntry

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.server.S_SystemCategory
                          oracle.ifs.server.S_TieSystemCategory
                              oracle.ifs.server.S_LifecyclePolicyEntry

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieLifecyclePolicyEntry

    public class S_LifecyclePolicyEntry

extends S_TieSystemCategory

A S_LifecyclePolicyEntry is the server-side representation of a LifecyclePolicyEntry.

(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_LifecyclePolicyEntry(S_LibrarySession session, java.lang.Long classId)` Construct an S_LifecyclePolicyEntry for the case where the object has not been created in the database yet.
`protected` | `S_LifecyclePolicyEntry(S_LibrarySession session, S_LibraryObjectData data)` Construct an S_LifecyclePolicyEntry.

Method Summary
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs validation after to an insert.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition sdef)` Operations to be performed before freeing an object.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Update any system attributes appropriate for creating this object
`S_LifecyclePolicy` | `getLifecyclePolicy()` Returns the LifecyclePolicy that references this entry.
`protected boolean` | `isBroadcastCreateEventEnabled()` Returns indication as to whether create events should be posted.

Methods inherited from class oracle.ifs.server.S_SystemCategory
`cascadeFree, cascadeFreeToAssociatedObject, cascadeUpdate, constructSystemCategoryArray, deriveDefinition, getAssociatedSystemObject, handleCascade`

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, createCategories, extendedPostUpdate, extendedPreInsert, getCategories, getCategories, getCategories, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPostFree, extendedPreCopy, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_LifecyclePolicyEntry

    protected S_LifecyclePolicyEntry(S_LibrarySession session,
                                     S_LibraryObjectData data)
                              throws IfsException

  Construct an S_LifecyclePolicyEntry.

  Parameters:
    `session` - the session context
    `data` - the data component
  Throws:
    `IfsException` - if operation fails

### S_LifecyclePolicyEntry

    protected S_LifecyclePolicyEntry(S_LibrarySession session,
                                     java.lang.Long classId)
                              throws IfsException

  Construct an S_LifecyclePolicyEntry for the case where the object has not been created in the database yet.

  Parameters:
    `session` - the session context
    `classId` - the ID of the class
  Throws:
    `IfsException` - if operation fails

Method Detail

### getLifecyclePolicy

    public S_LifecyclePolicy getLifecyclePolicy()
                                         throws IfsException

  Description copied from class: `S_LifecyclePolicyEntry`
  Returns the LifecyclePolicy that references this entry.

  Returns:
    the LifecyclePolicy
  Throws:
    `IfsException` - if the operation fails

### isBroadcastCreateEventEnabled

    protected boolean isBroadcastCreateEventEnabled()
                                             throws IfsException

  Description copied from class: `S_LifecyclePolicyEntry`
  Returns indication as to whether create events should be posted.

  Overridden by subclasses that require create events (most do not).

  Overrides:
    `isBroadcastCreateEventEnabled` in class `S_LibraryObject`
  Returns:
    true if create event should be posted
  Throws:
    `IfsException` - if operation fails.

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_LifecyclePolicyEntry`
  Performs validation after to an insert.

  Overrides:
    `extendedPostInsert` in class `S_SystemCategory`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition of the Property being created
  Throws:
    `IfsException` - (IFS-31600) if no values were specified

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_LifecyclePolicyEntry`
  Update any system attributes appropriate for creating this object

  Overrides:
    `extendedPreUpdate` in class `S_SystemObject`
  Parameters:
    `opState` - the operation state
    `sdef` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition sdef)
                            throws IfsException

  Description copied from class: `S_LifecyclePolicyEntry`
  Operations to be performed before freeing an object. This is overridden by classes that need to perform operations before successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `sdef` - object definition
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD